﻿#language: ru

@tree

Функциональность: РегистрНакопления. Дымовые тесты

Сценарий: РегистрНакопления. Инициализация

	Дано Я подключаюсь под "Администратор"
	Дано Я устанавливаю заголовок "РегистрНакопления. Дым"
	Дано Я отключаю все регламентные задания
	Дано Я устанавливаю время начала блока тестов
	Дано Я включаю все функциональные опции
	Дано я устанавливаю текущему сеансу заголовок приложения "РегистрНакопления. Дым"


Сценарий: Открытие формы списка регистра накопления "к2БалансЖираИБелка"

	Дано Я открываю навигационную ссылку "e1cib/list/РегистрНакопления.к2БалансЖираИБелка"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка регистра накопления к2БалансЖираИБелка"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта регистра накопления "к2БалансЖираИБелка"

	Дано Я открываю навигационную ссылку "e1cib/data/РегистрНакопления.к2БалансЖираИБелка"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта регистра накопления к2БалансЖираИБелка"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка регистра накопления "к2Брак"

	Дано Я открываю навигационную ссылку "e1cib/list/РегистрНакопления.к2Брак"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка регистра накопления к2Брак"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта регистра накопления "к2Брак"

	Дано Я открываю навигационную ссылку "e1cib/data/РегистрНакопления.к2Брак"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта регистра накопления к2Брак"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка регистра накопления "к2Выпуск"

	Дано Я открываю навигационную ссылку "e1cib/list/РегистрНакопления.к2Выпуск"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка регистра накопления к2Выпуск"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта регистра накопления "к2Выпуск"

	Дано Я открываю навигационную ссылку "e1cib/data/РегистрНакопления.к2Выпуск"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта регистра накопления к2Выпуск"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка регистра накопления "к2ЗаявкиНаПроизводство"

	Дано Я открываю навигационную ссылку "e1cib/list/РегистрНакопления.к2ЗаявкиНаПроизводство"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка регистра накопления к2ЗаявкиНаПроизводство"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта регистра накопления "к2ЗаявкиНаПроизводство"

	Дано Я открываю навигационную ссылку "e1cib/data/РегистрНакопления.к2ЗаявкиНаПроизводство"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта регистра накопления к2ЗаявкиНаПроизводство"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка регистра накопления "к2ЗаявкиНаПроизводствоСырье"

	Дано Я открываю навигационную ссылку "e1cib/list/РегистрНакопления.к2ЗаявкиНаПроизводствоСырье"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка регистра накопления к2ЗаявкиНаПроизводствоСырье"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта регистра накопления "к2ЗаявкиНаПроизводствоСырье"

	Дано Я открываю навигационную ссылку "e1cib/data/РегистрНакопления.к2ЗаявкиНаПроизводствоСырье"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта регистра накопления к2ЗаявкиНаПроизводствоСырье"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка регистра накопления "к2ПеремещениеТоваров"

	Дано Я открываю навигационную ссылку "e1cib/list/РегистрНакопления.к2ПеремещениеТоваров"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка регистра накопления к2ПеремещениеТоваров"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта регистра накопления "к2ПеремещениеТоваров"

	Дано Я открываю навигационную ссылку "e1cib/data/РегистрНакопления.к2ПеремещениеТоваров"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта регистра накопления к2ПеремещениеТоваров"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка регистра накопления "к2ПоступленияМолочногоСырья"

	Дано Я открываю навигационную ссылку "e1cib/list/РегистрНакопления.к2ПоступленияМолочногоСырья"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка регистра накопления к2ПоступленияМолочногоСырья"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта регистра накопления "к2ПоступленияМолочногоСырья"

	Дано Я открываю навигационную ссылку "e1cib/data/РегистрНакопления.к2ПоступленияМолочногоСырья"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта регистра накопления к2ПоступленияМолочногоСырья"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка регистра накопления "к2РасходМатериалов"

	Дано Я открываю навигационную ссылку "e1cib/list/РегистрНакопления.к2РасходМатериалов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка регистра накопления к2РасходМатериалов"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта регистра накопления "к2РасходМатериалов"

	Дано Я открываю навигационную ссылку "e1cib/data/РегистрНакопления.к2РасходМатериалов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта регистра накопления к2РасходМатериалов"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка регистра накопления "к2РасходОсновныхМатериалов"

	Дано Я открываю навигационную ссылку "e1cib/list/РегистрНакопления.к2РасходОсновныхМатериалов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка регистра накопления к2РасходОсновныхМатериалов"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта регистра накопления "к2РасходОсновныхМатериалов"

	Дано Я открываю навигационную ссылку "e1cib/data/РегистрНакопления.к2РасходОсновныхМатериалов"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта регистра накопления к2РасходОсновныхМатериалов"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка регистра накопления "к2РеализацииТоваров"

	Дано Я открываю навигационную ссылку "e1cib/list/РегистрНакопления.к2РеализацииТоваров"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка регистра накопления к2РеализацииТоваров"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта регистра накопления "к2РеализацииТоваров"

	Дано Я открываю навигационную ссылку "e1cib/data/РегистрНакопления.к2РеализацииТоваров"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта регистра накопления к2РеализацииТоваров"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка регистра накопления "к2СвободныеОстатки"

	Дано Я открываю навигационную ссылку "e1cib/list/РегистрНакопления.к2СвободныеОстатки"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка регистра накопления к2СвободныеОстатки"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта регистра накопления "к2СвободныеОстатки"

	Дано Я открываю навигационную ссылку "e1cib/data/РегистрНакопления.к2СвободныеОстатки"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта регистра накопления к2СвободныеОстатки"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка регистра накопления "к2ТоварыВРезервеНаСкладах"

	Дано Я открываю навигационную ссылку "e1cib/list/РегистрНакопления.к2ТоварыВРезервеНаСкладах"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка регистра накопления к2ТоварыВРезервеНаСкладах"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта регистра накопления "к2ТоварыВРезервеНаСкладах"

	Дано Я открываю навигационную ссылку "e1cib/data/РегистрНакопления.к2ТоварыВРезервеНаСкладах"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта регистра накопления к2ТоварыВРезервеНаСкладах"
	И Я закрываю текущее окно

Сценарий: Открытие формы списка регистра накопления "к2ТоварыНаСкладах"

	Дано Я открываю навигационную ссылку "e1cib/list/РегистрНакопления.к2ТоварыНаСкладах"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму списка регистра накопления к2ТоварыНаСкладах"
	И Я закрываю текущее окно

Сценарий: Открытие формы объекта регистра накопления "к2ТоварыНаСкладах"

	Дано Я открываю навигационную ссылку "e1cib/data/РегистрНакопления.к2ТоварыНаСкладах"
	Если появилось предупреждение тогда
		Тогда я закрыл все окна клиентского приложения
		Тогда я вызываю исключение "Не удалось открыть форму объекта регистра накопления к2ТоварыНаСкладах"
	И Я закрываю текущее окно


Сценарий: РегистрНакопления. Обработка Журнал регистрации

	Дано В журнале регистрации "0" ошибок по текущему блоку
